# $Revision: 1.7 $, $Date: 2011/07/15 19:03:46 $
Summary:	PostgreSQL driver and tools library
Name:		python3-py-postgresql
Version:	1.0.2
Release:	2
License:	BSD
Group:		Development/Languages/Python
Source0:	http://python.projects.postgresql.org/files/py-postgresql-%{version}.tar.gz
# Source0-md5:	12c7ef62c78c9466a7fdd7fa985890e1
URL:		http://python.projects.postgresql.org/
BuildRequires:	python3-devel
BuildRequires:	python3-modules
BuildRequires:	rpm-pythonprov
%pyrequires_eq  python3-modules
Requires:	python3-modules
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
py-postgresql is a set of Python modules providing interfaces to
various parts of PostgreSQL. Notably, it provides a pure-Python driver
+ C optimizations for querying a PostgreSQL database.

%prep
%setup -q -n py-postgresql-%{version}

%build
python3 -- setup.py build

%install
rm -rf $RPM_BUILD_ROOT
python3 -- setup.py install \
	--optimize=2 \
	--root=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{py3_sitedir}/postgresql
%{py3_sitedir}/*.egg-info

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog -n python-kid
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python3-py-postgresql.spec,v $
Revision 1.7  2011/07/15 19:03:46  jajcus
- no %py3_postclean
- Release: 2

Revision 1.6  2010/09/20 18:36:29  wiget
- 1.0.2

Revision 1.5  2010/05/13 15:20:40  sparky
- BR: python3-modules, rpm-pythonprov

Revision 1.4  2010/03/30 18:44:41  wiget
- up to 1.0.0

Revision 1.3  2009/10/11 11:28:51  wiget
- updated to 0.9.1

Revision 1.2  2009/08/01 20:16:23  wiget
- rel. 1

Revision 1.1  2009/08/01 19:08:48  wiget
- initial

